Subject: Re: [PATCH net-next v2 0/2] ptp: add control over HW timestamp latch point

From: Vadim Fedorenko <[email-masked]>
Date: Tue, 29 Oct 2024 11:30:22 +0000

On 28/10/2024 20:47, Arkadiusz Kubalewski wrote:
> HW support of PTP/timesync solutions in network PHY chips can be
> achieved with two different approaches, the timestamp maybe latched
> either in the beginning or after the Start of Frame Delimiter (SFD) [1].
> 
> Allow ptp device drivers to provide user with control over the timestamp
> latch point.
> 
> [1] https://www.ieee802.org/3/cx/public/april20/tse_3cx_01_0420.pdf

I just wonder should we add ethtool interface to control this feature.
As we are adding it for phy devices, it's good idea to have a way to
control it through eth device too. WDYT?